For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
        • POSTInvite user
        • POSTInvite Multiple Users
        • DELDelete invite
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceWorkspaceInvites

Invite Multiple Users

POST
/v1/workspace/invites/add-bulk
POST
/v1/workspace/invites/add-bulk
$curl -X POST https://api.elevenlabs.io/v1/workspace/invites/add-bulk \
> -H "Content-Type: application/json" \
> -d '{
> "emails": [
> "john.doe@testmail.com"
> ]
>}'
1{
2 "status": "ok"
3}
Sends email invitations to join your workspace to the provided emails. Requires all email addresses to be part of a verified domain. If the users don't have an account they will be prompted to create one. If the users accept these invites they will be added as users to your workspace and your subscription using one of your seats. This endpoint may only be called by workspace members with the WORKSPACE_MEMBERS_INVITE permission.
Was this page helpful?
Previous

Delete invite

Next
Built with

Sends email invitations to join your workspace to the provided emails. Requires all email addresses to be part of a verified domain. If the users don’t have an account they will be prompted to create one. If the users accept these invites they will be added as users to your workspace and your subscription using one of your seats. This endpoint may only be called by workspace members with the WORKSPACE_MEMBERS_INVITE permission.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
emailslist of stringsRequired
The email of the customer
seat_typeenum or nullOptional
The seat type of the user
Allowed values:
group_idslist of strings or nullOptional
The group ids of the user

Response

Successful Response
statusstring
The status of the workspace invite request. If the request was successful, the status will be 'ok'. Otherwise an error message with status 500 will be returned.

Errors

422
Unprocessable Entity Error